HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Savings Analyses with {providerAccountId}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve previously run Savings Analyses for an account using your providerAccountId.

Use this endpoint when you want a history of Savings Analysis results for one account and you identify accounts with your own customer-managed ID. Results are returned with the most recent analysis first. To retrieve analyses using the Arcadia-generated account identifier, use Get Savings Analyses with accountId. For the full history workflow, see Savings Analysis History.

Resource URI

GET /rest/v1/accounts/pid/{providerAccountId}/analyses

Path parameters

ParameterTypeDescription
providerAccountIdStringYour unique identifier for the Account object. Required.

Optional filters

Savings Analysis History also supports optional filters documented in Savings Analysis History, including:

ParameterTypeDescription
populateRequestBooleanWhen true, includes the original Savings Analysis request. Optional.
earliestCreatedDateDateTimeOnly retrieve analyses performed on or after this date. Optional.
latestCreatedDateDateTimeOnly retrieve analyses performed on or before this date. Optional.

Example

GET /rest/v1/accounts/pid/api-eg-01/analyses

A successful response returns a standard response payload with type set to AccountAnalysis and results containing matching Savings Analyses.

{
  "status": "success",
  "count": 1,
  "type": "AccountAnalysis",
  "results": [
    {
      "savingsAnalysisId": "34eb2c30-cf83-4a84-b6b8-948e34a3c9f1",
      "accountId": "012f31cd-7d85-422c-bcca-6147ba349495",
      "currency": "USD",
      "summary": {
        "preTotalCost": 1448.88,
        "postTotalCost": 515.82,
        "netAvoidedCost": 933.06
      }
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json